searchNodes=[{"doc":"This GenServer module allows you to run Litestream via a port in the background so that you can easily backup your SQLite database to an object store.","ref":"Litestream.html","title":"Litestream","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Litestream.html#child_spec/1","title":"Litestream.child_spec/1","type":"function"},{"doc":"The start_link/1 function is used to start the Litestream GenServer. After starting the GenServer, the process will download the Litestream binary and start it up to begin database replication. The Litestream GenServer expects a Keyword list with the following options: :repo - The Ecto Repo that manages the SQLite database. REQUIRED :replica_url - The URL to which the SQLite database should be backed up. REQUIRED :access_key_id - The access key ID to the provided :replica_url . REQUIRED :secret_access_key - The secret access key to the provided :replica_url . REQUIRED :name - The name of the GenServer process. By default it is Litestream . OPTIONAL :bin_path - If you already have access to the Litestream binary, provide the path via this option so that you can skip the download step . OPTIONAL","ref":"Litestream.html#start_link/1","title":"Litestream.start_link/1","type":"function"},{"doc":"This function will start the Litestream process, if it is not currently running. If it is already running, then this operation is effectively a no-op.","ref":"Litestream.html#start_litestream/1","title":"Litestream.start_litestream/1","type":"function"},{"doc":"This function will return the status of the Litestream port with either a :down or :running atom.","ref":"Litestream.html#status/1","title":"Litestream.status/1","type":"function"},{"doc":"This function will cleanly stop the Litestream process, but the GenServer will still be running.","ref":"Litestream.html#stop_litestream/1","title":"Litestream.stop_litestream/1","type":"function"},{"doc":"This module is used to download the built Litestream binaries.","ref":"Litestream.Downloader.html","title":"Litestream.Downloader","type":"module"},{"doc":"This function will download the desired Litestream version and store it in the provided directory..","ref":"Litestream.Downloader.html#download_litestream/3","title":"Litestream.Downloader.download_litestream/3","type":"function"},{"doc":"Get the latest version of Litestream (that is supported by the library).","ref":"Litestream.Downloader.html#latest_version/0","title":"Litestream.Downloader.latest_version/0","type":"function"},{"doc":"Easily backup your SQLite database right from Elixir using Litestream Contents Installation Supporting Litestream Setting Up Litestream Attribution","ref":"readme.html","title":"README","type":"extras"},{"doc":"Available in Hex , the package can be installed by adding litestream to your list of dependencies in mix.exs : def deps do [ { :litestream , &quot;~&gt; 0.2.0&quot; } ] end Documentation can be found at https://hexdocs.pm/litestream .","ref":"readme.html#installation","title":"README - Installation","type":"extras"},{"doc":"If you rely on this library to backup your SQLite databases, it would much appreciated if you can give back to the project in order to help ensure its continued development. Checkout my GitHub Sponsorship page if you want to help out! Gold Sponsors Silver Sponsors Bronze Sponsors","ref":"readme.html#supporting-litestream","title":"README - Supporting Litestream","type":"extras"},{"doc":"After adding {:litestream, &quot;~&gt; 0.2.0&quot;} in your mix.exs file and running mix deps.get , open your application.ex file and add the following to your supervision tree: @impl true def start ( _type , _args ) do children = [ # Start the Ecto repository LitescaleTest.Repo , { Litestream , litestream_config ( ) } , ... ] opts = [ strategy : :one_for_one , name : MyApp.Supervisor ] Supervisor . start_link ( children , opts ) end defp litestream_config do Application . get_env ( :my_app , Litestream ) end In your runtime.exs (or dev.exs if you are just developing locally): config :my_app , Litestream , repo : MyApp.Repo , replica_url : System . fetch_env! ( &quot;REPLICA_URL&quot; ) , access_key_id : System . fetch_env! ( &quot;ACCESS_KEY_ID&quot; ) , secret_access_key : System . fetch_env! ( &quot;SECRET_ACCESS_KEY&quot; ) With those in place, you should be all set to go! As soon as your application starts, your database will be automatically synced with your remote destination.","ref":"readme.html#setting-up-litestream","title":"README - Setting Up Litestream","type":"extras"},{"doc":"The logo for the project is an edited version of an SVG image from the unDraw project The Litestream library that this library wraps Litestream","ref":"readme.html#attribution","title":"README - Attribution","type":"extras"}]